package com.lightinit.hsdatashow.impl.topic.water;

import com.lightinit.hsdatashow.entity.StWaterProject;
import com.lightinit.hsdatashow.entity.StWaterReservoir;
import com.lightinit.hsdatashow.mapper.StWaterReservoirMapper;
import com.lightinit.hsdatashow.model.ResultState;
import com.lightinit.hsdatashow.model.topic.water.STChartModel;
import com.lightinit.hsdatashow.service.topic.water.IGongQingService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Author: sunxiang
 * @Date: 2018/12/27 17:17
 * @Description:
 **/
@Service
public class GongQingServiceImpl implements IGongQingService {

    @Autowired
    private StWaterReservoirMapper stWaterReservoirMapper;
    @Override
    public ResultState getgongchengfengbutu() {
        ResultState<Object> resultState = new ResultState<>();
        List<StWaterProject> list = stWaterReservoirMapper.getgongchengfengbutu();
        resultState.setData(list);
        return resultState;
    }

    @Override
    public ResultState getgeqvxiangongchengshu() {
        ResultState<Object> resultState = new ResultState<>();
        List<STChartModel> list = stWaterReservoirMapper.getgeqvxiangongchengshu();
        resultState.setData(list);
        return resultState;
    }
}
